Subject: Re: [RFC] Git User's Survey 2010 (resend)

From: Jakub Narebski <[email-masked]>
Date: Wed, 07 Jul 2010 14:43:16 -0700 (PDT)

Yann Dirson <[email-masked]> writes:

> Jakub Narebski <jnareb <at> gmail.com> writes:
> > === xx. Have you found distributed version control easy? ===
> > (multiple choice)
> > 
> >  + Very easy
> >  + Easy
> >  + Reasonably easy
> >  + Hard
> >  + Very hard
> > 
> > Or something like that, with separate question if DVCS is difficult
> > or not.
> > 
> > Alternatively we could ask about _relative_ ease of learning / use.
> > But I don't think this would go well (and I don't think we could get
> > good answers from that).
> 
> Related to that, would be whether the user was familiar with DVCS before
> starting to use git, or even familiar with VCS - the answers would be different
> for people for whom git is the first VCS they ever used, or for people having
> used other DVCS before...

Relative ease of use of Git as compared to perceived ease of
distributed version control as generic subject.

But I don't think it is a good way to go (and get meaningfull
answers).
 
> > Well, Git User's Surveys always served more or less accidentally as
> > the source of information about git and git community ("we have wiki?"
> > from the first survey )
> 
> Count me in for "we have git new-worktree ?" :)
> In fact, I found nothing by that name in git's tree or in the wiki's
> InterfacesFrontendsAndTools.  Google finally pointed me to contrib/ where I
> noticed workdir/git-new-workdir.
> 
> It may be worth to use a URL for publicizing non-mainstream stuff.  That's
> better as publicizing goes, and makes it easy to crowdsource discovery of
> mistakes or outdated things.

Hmmm... perhaps it would be worth to create GitContrib page on Git
Wiki, and link it from InterfacesFrontendsAndTools page...

-- 
Jakub Narebski
Poland
ShadeHawk on #git